]> git.sur5r.net Git - openldap/commitdiff
Fix typo in last commit
authorKurt Zeilenga <kurt@openldap.org>
Thu, 25 Aug 2005 20:37:24 +0000 (20:37 +0000)
committerKurt Zeilenga <kurt@openldap.org>
Thu, 25 Aug 2005 20:37:24 +0000 (20:37 +0000)
configure
configure.in

index 298eb7e7e90b4bb55d78cb6a4ffb2fbabb3f5725..37e0021ba611b61e15fcb2b9536cdcf7cd4ab8b9 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.586.2.21 2005/08/25 07:48:28 hyc Exp .
+# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.591 2005/08/25 18:09:32 kurt Exp .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59.
 #
@@ -2762,8 +2762,19 @@ else
 fi;
 # end --enable-wrappers
 
-Backends="bdb dnssrv hdb ldap ldbm meta monitor null \
-       passwd perl relay shell sql"
+Backends="bdb \
+       dnssrv \
+       hdb \
+       ldap \
+       ldbm \
+       meta \
+       monitor \
+       null \
+       passwd \
+       perl \
+       relay \
+       shell \
+       sql"
 
 # Check whether --enable-xxslapbackends or --disable-xxslapbackends was given.
 if test "${enable_xxslapbackends+set}" = set; then
@@ -3519,11 +3530,11 @@ else
 fi;
 # end --enable-unique
 
-# OpenLDAP --enable-unique
+# OpenLDAP --enable-valsort
 
-       # Check whether --enable-unique or --disable-unique was given.
-if test "${enable_unique+set}" = set; then
-  enableval="$enable_unique"
+       # Check whether --enable-valsort or --disable-valsort was given.
+if test "${enable_valsort+set}" = set; then
+  enableval="$enable_valsort"
 
        ol_arg=invalid
        for ol_val in no yes mod ; do
@@ -3532,16 +3543,16 @@ if test "${enable_unique+set}" = set; then
                fi
        done
        if test "$ol_arg" = "invalid" ; then
-               { { echo "$as_me:$LINENO: error: bad value $enableval for --enable-unique" >&5
-echo "$as_me: error: bad value $enableval for --enable-unique" >&2;}
+               { { echo "$as_me:$LINENO: error: bad value $enableval for --enable-valsort" >&5
+echo "$as_me: error: bad value $enableval for --enable-valsort" >&2;}
    { (exit 1); exit 1; }; }
        fi
-       ol_enable_unique="$ol_arg"
+       ol_enable_valsort="$ol_arg"
 
 else
-       ol_enable_unique=${ol_enable_overlays:-no}
+       ol_enable_valsort=${ol_enable_overlays:-no}
 fi;
-# end --enable-unique
+# end --enable-valsort
 
 
 # Check whether --enable-xxslurpdoptions or --disable-xxslurpdoptions was given.
@@ -5711,7 +5722,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5714 "configure"' > conftest.$ac_ext
+  echo '#line 5725 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7532,7 +7543,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:7535:" \
+echo "$as_me:7546:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -8630,11 +8641,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8633: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8644: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8637: \$? = $ac_status" >&5
+   echo "$as_me:8648: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8892,11 +8903,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8895: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8906: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8899: \$? = $ac_status" >&5
+   echo "$as_me:8910: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8954,11 +8965,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8957: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8968: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8961: \$? = $ac_status" >&5
+   echo "$as_me:8972: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11194,7 +11205,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11197 "configure"
+#line 11208 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11292,7 +11303,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 11295 "configure"
+#line 11306 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13540,11 +13551,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13543: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13554: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13547: \$? = $ac_status" >&5
+   echo "$as_me:13558: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13602,11 +13613,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13605: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13616: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13609: \$? = $ac_status" >&5
+   echo "$as_me:13620: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14971,7 +14982,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 14974 "configure"
+#line 14985 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -15069,7 +15080,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 15072 "configure"
+#line 15083 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -15954,11 +15965,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15957: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15968: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15961: \$? = $ac_status" >&5
+   echo "$as_me:15972: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16016,11 +16027,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16019: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16030: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16023: \$? = $ac_status" >&5
+   echo "$as_me:16034: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18138,11 +18149,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18141: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18152: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18145: \$? = $ac_status" >&5
+   echo "$as_me:18156: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18400,11 +18411,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18403: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18414: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18407: \$? = $ac_status" >&5
+   echo "$as_me:18418: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18462,11 +18473,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18465: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18476: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:18469: \$? = $ac_status" >&5
+   echo "$as_me:18480: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -20702,7 +20713,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 20705 "configure"
+#line 20716 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -20800,7 +20811,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 20803 "configure"
+#line 20814 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
index 5947ef1e4efd68947b35ddd9eec4225ac689211a..61a0fc8649e07c5b881735d06e82e8eb8ff74334 100644 (file)
@@ -273,8 +273,19 @@ OL_ARG_ENABLE(wrappers,[    --enable-wrappers        enable tcp wrapper support], no)
 
 dnl ----------------------------------------------------------------
 dnl SLAPD Backend Options
-Backends="bdb dnssrv hdb ldap ldbm meta monitor null \
-       passwd perl relay shell sql"
+Backends="bdb \
+       dnssrv \
+       hdb \
+       ldap \
+       ldbm \
+       meta \
+       monitor \
+       null \
+       passwd \
+       perl \
+       relay \
+       shell \
+       sql"
 
 AC_ARG_ENABLE(xxslapbackends,[
 SLAPD Backend Options:])
@@ -363,7 +374,7 @@ OL_ARG_ENABLE(translucent,[    --enable-translucent  Translucent Proxy overlay],
        no, [no yes mod], ol_enable_overlays)
 OL_ARG_ENABLE(unique,[    --enable-unique       Attribute Uniqueness overlay],
        no, [no yes mod], ol_enable_overlays)
-OL_ARG_ENABLE(unique,[    --enable-valsort      Value Sorting overlay],
+OL_ARG_ENABLE(valsort,[    --enable-valsort      Value Sorting overlay],
        no, [no yes mod], ol_enable_overlays)
 
 dnl ----------------------------------------------------------------